Home Tutorial Java Scjp Part6 SCJP Module-6 Question-26

 
 

Share on Google+Share on Google+
SCJP Module-6 Question-26
Posted on: July 15, 2010 at 12:00 AM
Advertisement
The Sample program given below will check your understanding about the Exception in Java programming language.

Given below the sample code :

static void check() throws RuntimeException {
try {
System.out.print("checking ");
throw new RuntimeException();
}
catch (Exception ex) { System.out.print("runtime"); }
}
public static void main(String[] args) {
try { check(); }
catch (RuntimeException ex) { System.out.print("exception"); }
System.out.print("success");
}

What will be the output of the above code ?

1. Compile error

2. checking runtime success

3. checking runtime exception success

4. checking success

Answer

(2)

Advertisement

Related Tags for SCJP Module-6 Question-26:


Follow us on Twitter, or add us on Facebook or Google Plus to keep you updated with the recent trends of Java and other open source platforms.

Posted on: July 15, 2010

Recommend the tutorial

Advertisements Advertisements
 

 

 

DMCA.com